
ChiliProject - Bug # 783: Link to new issue on issues list displayed although user is not allowed to 
create issue

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Issue tracking
Created: 2011-12-20 Assignee: Holger Just
Updated: 2012-01-17 Due date:
Remote issue URL:
Affected version: unstable
Description: When viewing the issues list of a project, a link to create a new project is rendered, even if the user does not 

have sufficient permissions.

The bug may also be currently observed on this site.

Associated revisions
2011-12-20 10:13 am - Gregor Schmidt 
[#783] Removing link to new issue when missing permissions

History
2011-12-20 09:16 am - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/145.

I tried to add a test for that, but could not get my head around assert_tag and I could not find examples on how to use capybara for that. Sorry.

Gregor

2011-12-28 12:35 am - Eric Davis
Looks fine to me, I'm in the middle of something else so I can't merge it without stopping what I'm testing right now. Adding a test for this wouldn't really 
be that useful.

2012-01-17 07:15 pm - Holger Just
- Target version set to 3.0.0

- Assignee set to Holger Just

- Status changed from Ready for review to Closed

I merged your pull request into unstable to be part of 3.0.0beta2. Thanks, Gregor.
